#!make
# include .env
export $(shell sed 's/=.*//' .env)

.ONESHELL:
.PHONY: clean build upPostgres composeBuild runExample addTestUserAndAuth startTestPostgres

clean:
	../gradlew clean

build:
	../gradlew build distTar

startTestServer:
	../gradlew run --args="test.config.json"

startTestPostgres:
	sudo docker-compose up

addTestUserAndAuth:
	sudo docker-compose exec test_postgres psql test -U test -c "INSERT INTO Users VALUES (-1, 'test', 'test', 'test');INSERT INTO UsersAuthentications VALUES ('test', -1);"
